@import "./variables.scss";

body {
  background-color: $bg-color;
  font-family: $font;
  padding-left: 15%;
  padding-right: 15%;
  section {
    h1 {
      text-align: $centered;
    }
    p {
      text-align: $centered;
    }
    .move {
      text-align: $centered;
      margin-bottom: 2em;
    }
    .options {
      @include flex-display;
      margin-bottom: 2em;
    }
    button {
      background-color: $btn-color;
      border: none;
      border: 2px solid $border-color;
      font-family: $font;
      border-radius: 12px;
      padding: 0.5em 1em;
      box-shadow: $shadow;
    }
  }
  section {
    .result {
      border: 2px solid $border-color;
      box-shadow: $shadow;
      width: 30%;
      border-radius: 12px;
      text-align: $centered;
      padding: 1em 1.5em;
      margin: auto;
      background-color: $score-color;
    }
    .score {
      @include flex-display;
      .count {
        border: 2px solid $border-color;
        box-shadow: $shadow;
        border-radius: 12px;
        padding: 1em;
        width: 10%;
        background-color: $count-color;
      }
    }
    .reset {
      text-align: $centered;
      text-decoration: none;
      display: block;
      margin: auto;
      color: red;
    }
  }
}
